Bug 909839 - Host life cycle improvements
Host life cycle improvements
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.2.0
Assigned To: mkublin
Tareq Alayan
infra
:
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2013-02-11 04:51 EST by Yair Zaslavsky
Modified: 2016-02-10 14:43 EST (History)
12 users (show)

See Also:
Fixed In Version: sf8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 05:16:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 11308 None None None Never

  None (edit)
Description Yair Zaslavsky 2013-02-11 04:51:56 EST
Description of problem:

The following issues can improve host life cycle:

1. Add a parameter class that passes data center and host objects (and not IDs) to reduce queries to DB - this can improve ConnectHostToStoragePoolServersCommand and DisconnectHostFromStoragePoolServersCommand

2. Eliminate transaction at DisconnectHostFromStoragePoolServersCommand -
This is not needed as the DB is not updated.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 4 Tareq Alayan 2013-03-06 12:22:38 EST
added host, storage no regression encountered.
Comment 5 Itamar Heim 2013-06-11 05:16:40 EDT
3.2 has been released
Comment 6 Itamar Heim 2013-06-11 05:41:49 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.